package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.Product;

public interface ProductMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(Product record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(Product record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return Product
     */
    Product selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(Product record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(Product record);

    /**
     * 通过code获取产品型号
     * @param productCode
     * @return
     */
    Product findByCode(String productCode);
}